/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Presult;
import com.cosmodas.EntCosmos.Productos;
import com.cosmodas.EntCosmos.ProductosZonasTotal;
import com.cosmodas.EntCosmos.ZonasVsActual;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface daoResutadosLocal {

    List<Presult> allData();

    List<ProductosZonasTotal> ProductosPorCodigo(String prodCod);

    List<ZonasVsActual> RopaInterior(String sucursalCodigo);

    List<ZonasVsActual> productosPorSucursal(String sucursalCodigo);

    List<ProductosZonasTotal> productosTotalCodigo(String sucursalCodigo, Productos productoCodigo);

    List<ZonasVsActual> diferiencias(String sucursalCodigo);

    List<ZonasVsActual> diferienciasProm(String sucursalCodigo);



}
